searchData={"items":[{"type":"module","title":"UOF.API.CustomBet","doc":"CustomBet is an extension for Unified Odds Feed and allows the creation of\ncustom tailored bets for a specific fixture. In CustomBet it is possible to\ncombine a wide range of betting markets into one single odds and probabilities\ncalculation as if it was a regular accumulator bet.\n\nCustomBet API is only available for soccer and basketball fixtures.","ref":"UOF.API.CustomBet.html"},{"type":"function","title":"UOF.API.CustomBet.available_selections/1","doc":"Get the markets that are available to be used in a custom bet from the given\nfixture.","ref":"UOF.API.CustomBet.html#available_selections/1"},{"type":"function","title":"UOF.API.CustomBet.calculate/2","doc":"Calculate the probability and odds for the given selections. It also returns\na list of further markets that can be added to the custom bet.","ref":"UOF.API.CustomBet.html#calculate/2"},{"type":"module","title":"UOF.API.Descriptions","doc":"","ref":"UOF.API.Descriptions.html"},{"type":"function","title":"UOF.API.Descriptions.betstop_reasons/0","doc":"Describe all bet stop reasons.","ref":"UOF.API.Descriptions.html#betstop_reasons/0"},{"type":"function","title":"UOF.API.Descriptions.betting_statuses/0","doc":"Describes all betting statuses used in `odds_change` messages.","ref":"UOF.API.Descriptions.html#betting_statuses/0"},{"type":"function","title":"UOF.API.Descriptions.markets/1","doc":"Describe all currently available markets.","ref":"UOF.API.Descriptions.html#markets/1"},{"type":"function","title":"UOF.API.Descriptions.match_statuses/1","doc":"Describe all sport-specific match status codes used during live matches in\n`odds_change` messages.","ref":"UOF.API.Descriptions.html#match_statuses/1"},{"type":"function","title":"UOF.API.Descriptions.producers/0","doc":"Describe all currently avbailable producers and their ids.","ref":"UOF.API.Descriptions.html#producers/0"},{"type":"function","title":"UOF.API.Descriptions.variants/1","doc":"Get a list of all variants and which markets they are used for.","ref":"UOF.API.Descriptions.html#variants/1"},{"type":"function","title":"UOF.API.Descriptions.void_reasons/0","doc":"Describe all possible void reasons used in `bet_settlement` messages.","ref":"UOF.API.Descriptions.html#void_reasons/0"},{"type":"module","title":"UOF.API.Mappings.CustomBet.AvailableSelections","doc":"","ref":"UOF.API.Mappings.CustomBet.AvailableSelections.html"},{"type":"module","title":"UOF.API.Mappings.CustomBet.Calculation","doc":"","ref":"UOF.API.Mappings.CustomBet.Calculation.html"},{"type":"module","title":"UOF.API.Mappings.CustomBet.Market","doc":"","ref":"UOF.API.Mappings.CustomBet.Market.html"},{"type":"module","title":"UOF.API.Mappings.CustomBet.Outcome","doc":"","ref":"UOF.API.Mappings.CustomBet.Outcome.html"},{"type":"module","title":"UOF.API.Probability","doc":"Betradar's Probability API can be used to fetch the probabilities for all\nactive markets offered by Betradar's Unified Odds Feed product.\n\nProbabilities can go down to `1e-10` (ie. `0.0000000001`).\n\nThe only supported sports are: soccer, baseball, basketball, tennis, table\ntennis, badminton, volleyball, squash, handball, ice hockey and field hockey.\n\nFor a fixture to be available in the Probability API, the fixture must be\nactive in `Live Odds` and you must have `Live Odds` access to this fixture.","ref":"UOF.API.Probability.html"},{"type":"function","title":"UOF.API.Probability.probabilities/1","doc":"Get probabilities for the given fixture.","ref":"UOF.API.Probability.html#probabilities/1"},{"type":"function","title":"UOF.API.Probability.probabilities/2","doc":"Get probabilities for the specified market in the given fixture.","ref":"UOF.API.Probability.html#probabilities/2"},{"type":"function","title":"UOF.API.Probability.probabilities/3","doc":"Get probabilities for the specified market with specifier in the given fixture.","ref":"UOF.API.Probability.html#probabilities/3"},{"type":"module","title":"UOF.API.Recovery","doc":"","ref":"UOF.API.Recovery.html"},{"type":"module","title":"UOF.API.Sports","doc":"","ref":"UOF.API.Sports.html"},{"type":"function","title":"UOF.API.Sports.categories/2","doc":"List all the available categories for the given sport.","ref":"UOF.API.Sports.html#categories/2"},{"type":"function","title":"UOF.API.Sports.competitor/2","doc":"Get the details of the given competitor.","ref":"UOF.API.Sports.html#competitor/2"},{"type":"function","title":"UOF.API.Sports.fixture/2","doc":"Get the details of the given fixture.","ref":"UOF.API.Sports.html#fixture/2"},{"type":"function","title":"UOF.API.Sports.fixture_changes/1","doc":"Get a list of all the fixtures that have changed in the last 24 hours.","ref":"UOF.API.Sports.html#fixture_changes/1"},{"type":"function","title":"UOF.API.Sports.fixtures/2","doc":"","ref":"UOF.API.Sports.html#fixtures/2"},{"type":"function","title":"UOF.API.Sports.fixtures_by_sport/1","doc":"","ref":"UOF.API.Sports.html#fixtures_by_sport/1"},{"type":"function","title":"UOF.API.Sports.live_schedule/1","doc":"Get a list of all live fixtures.","ref":"UOF.API.Sports.html#live_schedule/1"},{"type":"function","title":"UOF.API.Sports.player/2","doc":"Get the details of the given player.","ref":"UOF.API.Sports.html#player/2"},{"type":"function","title":"UOF.API.Sports.pre_schedule/3","doc":"Get a lists of almost all fixtures Betradar offers prematch odds for.","ref":"UOF.API.Sports.html#pre_schedule/3"},{"type":"function","title":"UOF.API.Sports.result_changes/1","doc":"Get a lists of all the fixtures that have changed results in the last 24 hours.","ref":"UOF.API.Sports.html#result_changes/1"},{"type":"function","title":"UOF.API.Sports.schedule/2","doc":"Get a list of all the fixtures scheduled to start at the given date (in UTC).","ref":"UOF.API.Sports.html#schedule/2"},{"type":"function","title":"UOF.API.Sports.sports/1","doc":"List all the available sports.","ref":"UOF.API.Sports.html#sports/1"},{"type":"function","title":"UOF.API.Sports.summary/2","doc":"Get information and results for the given fixture.","ref":"UOF.API.Sports.html#summary/2"},{"type":"function","title":"UOF.API.Sports.timeline/2","doc":"Get detailed information (including event timeline) for the given sport event.\n# Prematch, Live or Post-match. Prematch details are very brief. Post-match\n# details include results.","ref":"UOF.API.Sports.html#timeline/2"},{"type":"function","title":"UOF.API.Sports.tournament/2","doc":"Get details about the given tournament.","ref":"UOF.API.Sports.html#tournament/2"},{"type":"function","title":"UOF.API.Sports.tournament_schedule/2","doc":"Get the schedule of the given tournament.","ref":"UOF.API.Sports.html#tournament_schedule/2"},{"type":"function","title":"UOF.API.Sports.tournaments/1","doc":"","ref":"UOF.API.Sports.html#tournaments/1"},{"type":"function","title":"UOF.API.Sports.venue/2","doc":"Get the details of the given venue.","ref":"UOF.API.Sports.html#venue/2"},{"type":"module","title":"UOF.API.Users","doc":"API used for administrative purposes.","ref":"UOF.API.Users.html"},{"type":"function","title":"UOF.API.Users.whoami/0","doc":"Get information about the token being used, including information such as\nthe caller's bookmaker id and when the caller's access token will expire.","ref":"UOF.API.Users.html#whoami/0"}],"producer":{"name":"ex_doc","version":[48,46,51,50,46,49]},"content_type":"text/markdown"}